Mono.Addins 0.4.0.0 1.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Class | System.AttributeTargets.Interface | System.AttributeTargets.All, AllowMultiple=true) Indicates that a type is the source of an extension point.

When applied to a class or interface, defines a new extension point that will accept object extensions of the specified type. For example, the following declaration:

`[TypeExtensionPoint ("/SimpleApp/Writers", Description="Writer classes")] public interface IWriter { string Write (); }`

would be equivalent to the following manifest declaration:

`<ExtensionPoint path = "/SimpleApp/Writers"> <Description>Writer classes</Description> <ExtensionNode objectType="IWriter" /> </ExtensionPoint>`
- Constructor
  Initializes a new instance.
  0.4.0.0
- Constructor
  Path of the extension point.
  Initializes a new instance.
  0.4.0.0
- Property
  System.String Description of the extension point. Description of the extension point. To be used in the extension point documentation. 0.4.0.0
- Property
  System.String Display name of the extension point. Display name of the extension point. This name is for documentation pourposes only. 0.4.0.0
- Property
  System.String Node name to be used when registering extensions in this extension point. Name of the node. Node name to be used when registering extensions in this extension point. 0.4.0.0
- Property
  System.Type Node type allowed in this extension point. A subclass of . Extension points declared using this attribute can only accept one type of extension node. To allow several types in an extension point, it has to be declared in an xml manifest. 0.4.0.0
- Property
  System.String Path of the extension point. Path of the extension point. If not provided, the add-in manager will assign a default extension path. 0.4.0.0